(add-to-list 'load-path "../contrib")
(add-to-list 'load-path "../experimental")
(add-to-list 'load-path "../lisp")

(defun muse-elint-files ()
  (require 'elint)
  (elint-initialize)

  (defvar nomessage t)
  (load "muse" nil nomessage)
  ;;(load "muse-arabic" nil nomessage)
  (load "muse-book" nil nomessage)
  ;;(load "muse-cite" nil nomessage)
  (load "muse-colors" nil nomessage)
  (load "muse-html" nil nomessage)
  (load "muse-http" nil nomessage)
  (load "muse-journal" nil nomessage)
  (load "muse-latex" nil nomessage)
  (load "muse-mode" nil nomessage)
  (load "muse-poem" nil nomessage)
  (load "muse-project" nil nomessage)
  (load "muse-regexps" nil nomessage)
  (load "muse-texinfo" nil nomessage)

  (add-to-list 'elint-standard-variables 'current-prefix-arg)
  (add-to-list 'elint-standard-variables 'command-line-args-left)
  (add-to-list 'elint-standard-variables 'buffer-file-coding-system)
  (add-to-list 'elint-standard-variables 'save-some-buffers-action-alist)
  (add-to-list 'elint-standard-variables 'emacs-major-version)
  (add-to-list 'elint-standard-variables 'emacs-minor-version)
  (add-to-list 'elint-standard-variables 'emacs-version)
  (add-to-list 'elint-standard-variables 'window-system)
  (add-to-list 'elint-standard-variables 'muse-mode-abbrev-table)
  (dolist (file command-line-args-left)
    (find-file file)
    (message "Checking %s ..." file)
    (elint-current-buffer)
    (with-current-buffer (elint-get-log-buffer)
      (goto-char (point-min))
      (forward-line 2)
      (while (not (or (eobp)
                      (looking-at "^Linting complete")))
        (message (buffer-substring (muse-line-beginning-position)
                                   (muse-line-end-position)))
        (forward-line 1)))
    (kill-buffer (current-buffer))))
